## org.hibernate.hql.internal.ast.tree
Class MapValueNode

    java.lang.Object
      antlr.BaseAST
          antlr.CommonAST
              org.hibernate.hql.internal.ast.tree.Node
                  org.hibernate.hql.internal.ast.tree.SqlNode
                      org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
                          org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
                              org.hibernate.hql.internal.ast.tree.FromReferenceNode
                                  org.hibernate.hql.internal.ast.tree.AbstractMapComponentNode
                                      org.hibernate.hql.internal.ast.tree.MapValueNode

All Implemented Interfaces:
  antlr.collections.AST, Serializable, HqlSqlTokenTypes, DisplayableNode, InitializeableNode, PathNode, ResolvableNode, SelectExpression

    public class MapValueNode

extends AbstractMapComponentNode

TODO : javadoc

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.hibernate.hql.internal.ast.tree.FromReferenceNode
`ROOT_LEVEL`

Fields inherited from class antlr.BaseAST
`down, right`

Fields inherited from interface org.hibernate.hql.internal.antlr.HqlSqlTokenTypes

`AGGREGATE, ALIAS, ALIAS_REF, ALL, AND, ANY, AS, ASCENDING, AVG, BETWEEN, BOGUS, BOTH, CASE, CASE2, CLASS, CLOSE, CLOSE_BRACKET, COLON, COMMA, CONCAT, CONSTANT, CONSTRUCTOR, COUNT, DELETE, DESCENDING, DISTINCT, DIV, DOT, ELEMENTS, ELSE, EMPTY, END, ENTRY, EOF, EQ, ESCAPE, ESCqs, EXISTS, EXPONENT, EXPR_LIST, FALSE, FETCH, FILTER_ENTITY, FILTERS, FLOAT_SUFFIX, FROM, FROM_FRAGMENT, FULL, GE, GROUP, GT, HAVING, HEX_DIGIT, ID_LETTER, ID_START_LETTER, IDENT, IMPLIED_FROM, IN, IN_LIST, INDEX_OP, INDICES, INNER, INSERT, INTO, IS, IS_NOT_NULL, IS_NULL, JAVA_CONSTANT, JOIN, JOIN_FRAGMENT, KEY, LE, LEADING, LEFT, LEFT_OUTER, LIKE, LITERAL_ascending, LITERAL_by, LITERAL_descending, LT, MAX, MEMBER, METHOD_CALL, METHOD_NAME, MIN, MINUS, MOD, NAMED_PARAM, NE, NEW, NOT, NOT_BETWEEN, NOT_IN, NOT_LIKE, NULL, NULL_TREE_LOOKAHEAD, NUM_BIG_DECIMAL, NUM_BIG_INTEGER, NUM_DOUBLE, NUM_FLOAT, NUM_INT, NUM_LONG, OBJECT, OF, ON, OPEN, OPEN_BRACKET, OR, ORDER, ORDER_ELEMENT, OUTER, PARAM, PLUS, PROPERTIES, PROPERTY_REF, QUERY, QUOTED_STRING, RANGE, RESULT_VARIABLE_REF, RIGHT, RIGHT_OUTER, ROW_STAR, SELECT, SELECT_CLAUSE, SELECT_COLUMNS, SELECT_EXPR, SELECT_FROM, SET, SOME, SQL_NE, SQL_TOKEN, STAR, SUM, THEN, THETA_JOINS, TRAILING, TRUE, UNARY_MINUS, UNARY_PLUS, UNION, UPDATE, VALUE, VECTOR_EXPR, VERSIONED, WEIRD_IDENT, WHEN, WHERE, WITH, WS`

Constructor Summary
`MapValueNode()`

Method Summary
`protected String` `expressionDescription()`
`protected String[]` `resolveColumns(QueryableCollection collectionPersister)`
`protected Type` `resolveType(QueryableCollection collectionPersister)`

Methods inherited from class org.hibernate.hql.internal.ast.tree.AbstractMapComponentNode
`attemptedDereference, getColumns, getMapReference, nonMap, resolve, resolveIndex, setScalarColumnText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.FromReferenceNode
`getDisplayText, getFromElement, getImpliedJoin, getPath, isResolved, isReturnableEntity, prepareForDot, recursiveResolve, recursiveResolve, resolve, resolve, resolveFirstChild, resolveInFunctionCall, setFromElement, setResolved`

Methods inherited from class org.hibernate.hql.internal.ast.tree.AbstractSelectExpression
`getAlias, getScalarColumnIndex, isConstructor, isScalar, setAlias, setScalarColumn`

Methods inherited from class org.hibernate.hql.internal.ast.tree.HqlSqlWalkerNode
`getAliasGenerator, getASTFactory, getSessionFactoryHelper, getWalker, initialize`

Methods inherited from class org.hibernate.hql.internal.ast.tree.SqlNode
`getDataType, getOriginalText, setDataType, setText`

Methods inherited from class org.hibernate.hql.internal.ast.tree.Node
`getColumn, getFilename, getLine, getRenderText, getTextLength, initialize, initialize`

Methods inherited from class antlr.CommonAST
`getText, getType, initialize, setType`

Methods inherited from class antlr.BaseAST
`addChild, decode, encode, equals, equalsList, equalsListPartial, equalsTree, equalsTreePartial, findAll, findAllPartial, getFirstChild, getNextSibling, getNumberOfChildren, getTokenNames, removeChildren, setFirstChild, setNextSibling, setVerboseStringConversion, toString, toStringList, toStringTree, xmlSerialize, xmlSerializeNode, xmlSerializeRootClose, xmlSerializeRootOpen`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.InitializeableNode
`initialize`

Methods inherited from interface org.hibernate.hql.internal.ast.tree.SelectExpression
`getDataType, setText`

Constructor Detail

### MapValueNode

    public MapValueNode()

Method Detail

### expressionDescription

    protected String expressionDescription()

  Specified by:
    `expressionDescription` in class `AbstractMapComponentNode`

### resolveColumns

    protected String[] resolveColumns(QueryableCollection collectionPersister)

  Specified by:
    `resolveColumns` in class `AbstractMapComponentNode`

### resolveType

    protected Type resolveType(QueryableCollection collectionPersister)

  Specified by:
    `resolveType` in class `AbstractMapComponentNode`

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.